import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {HttpErrorService} from '../ErrorComponents/http-error.service';
import {catchError} from 'rxjs/operators';
import {Router} from '@angular/router';
import {environment} from '../../environments/environment';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type':  'application/json'
  })
};

@Injectable()
export class LoginService {
  constructor(private http: HttpClient,
              private errorService: HttpErrorService,
              private router: Router) {
  }

  public logout(): any {
    sessionStorage.clear();
    this.router.navigate(['/login']);
  }

  public login(username: String, password: String): any {
    return this.http.post(environment.apiUrl + '/login', {username: username, password: password}, httpOptions)
      .pipe(
        catchError(this.errorService.handleError)
      );
  }

}
